package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.text.TextWatcher;
import android.view.KeyEvent;
import android.widget.BaseAdapter;
import android.widget.EditText;
import android.widget.TextView.OnEditorActionListener;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface SearchInputStyleConstact {
	interface View extends BaseView<Presenter> {
		void readQRCode();
		void setAllDataLvAdapter(BaseAdapter adapter);
		void setDataSearchAdapter(BaseAdapter adapter);
		void setEtText(String etStr);
		String getEtText();
		EditText getEditText();
		void addTextChangedListener(TextWatcher t);
		void removeTextChangedListener(TextWatcher t);
		void finishWithResult(int resultCode,Intent intent);
		void finishPage();
		void delIconVisibility(int visibility);
		void setSearchDataLvVisible();
		void setAllDataLvVisible();
		void setOnEditorActionListener(OnEditorActionListener actionListener);
		void setImeOptions(int imeiOption);
		void setEditTextHintStr(String hintStr);
		void setRightOptionStr(String rightOptionStr);
	}

	interface Presenter extends BasePresenter {
		void onAllLvItemClickListener(int position);
		void onSearchLvItemClickListener(int position);
		void completeClick();
		void backClick();
		void delTextClick();
		boolean onKey(View v, int keyCode, KeyEvent event);
		
	}
}
